> ## Documentation Index
> Fetch the complete documentation index at: https://docs.garden.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Swap Quote

> Get quote for the given asset pair.

Get a quote for swapping assets across different blockchain networks.


## OpenAPI

````yaml GET /quote
openapi: 3.1.0
info:
  title: Garden API
  version: 2.0.0
  description: API specification for various endpoints.
servers:
  - url: https://{environment}.garden.finance/v2
    variables:
      environment:
        default: api
        enum:
          - api
          - testnet.api
security:
  - garden-app-id: []
paths:
  /quote:
    get:
      summary: Get swap quote.
      description: Get quote for the given asset pair.
      parameters:
        - in: query
          name: from
          required: true
          schema:
            $ref: '#/components/schemas/Asset'
        - in: query
          name: to
          required: true
          schema:
            $ref: '#/components/schemas/Asset'
        - in: query
          name: from_amount
          schema:
            type: string
        - in: query
          name: to_amount
          schema:
            type: string
        - in: query
          name: affiliate_fee
          schema:
            type: integer
          description: >-
            **(Optional)** Add an [affiliate fee](/developers/affiliate-fees) to
            each swap, defined in bips (100 bips = 1%).
          example: 10
        - in: query
          name: slippage
          schema:
            type: integer
          description: >-
            **(Optional)** Add slippage up to 5% for each quote/swap, defined in
            bips (100 bips = 1%.
          example: 50
        - in: query
          name: indicative
          schema:
            type: boolean
          description: |-
            Return an indicative quote.
            **Default**: false
          example: false
      responses:
        '200':
          description: Quote information.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QuoteResponse'
components:
  schemas:
    Asset:
      oneOf:
        - type: string
          title: mainnet
          description: Mainnet
          enum:
            - arbitrum:wbtc
            - ethereum:wbtc
            - arbitrum:ibtc
            - base:cbbtc
            - bitcoin:btc
            - bnbchain:btcb
            - botanix:btc
            - citrea:cbtc
            - ethereum:cbbtc
            - ethereum:usdt
            - hyperevm:ubtc
            - litecoin:ltc
            - monad:mon
            - monad:usdc
            - solana:cbbtc
            - solana:sol
            - solana:usdc
            - starknet:wbtc
            - tron:usdt
        - type: string
          title: testnet
          description: Testnet
          enum:
            - arbitrum_sepolia:wbtc
            - ethereum_sepolia:wbtc
            - alpen_signet:btc
            - alpen_testnet:sbtc
            - alpen_testnet:usdc
            - arbitrum_sepolia:ibtc
            - arbitrum_sepolia:seed
            - arbitrum_sepolia:usdc
            - base_sepolia:cbltc
            - base_sepolia:cbxrp
            - base_sepolia:ibtc
            - base_sepolia:usdc
            - base_sepolia:usdt
            - base_sepolia:wbtc
            - bitcoin_testnet:btc
            - bnbchain_testnet:wbtc
            - citrea_testnet:cbbtc
            - citrea_testnet:cbtc
            - citrea_testnet:usdc
            - citrea_testnet:usdt
            - citrea_testnet:wbtc
            - citrea_testnet:wcbtc
            - ethereum_sepolia:usdc
            - litecoin_testnet:ltc
            - monad_testnet:cbbtc
            - monad_testnet:usdc
            - solana_testnet:cbbtc
            - solana_testnet:sol
            - solana_testnet:usdc
            - starknet_sepolia:wbtc
            - tron_shasta:usdt
            - tron_shasta:wbtc
            - xrpl_testnet:xrp
    QuoteResponse:
      allOf:
        - $ref: '#/components/schemas/Response'
        - type: object
          properties:
            result:
              type: array
              items:
                $ref: '#/components/schemas/Quote'
    Response:
      type: object
      properties:
        status:
          type: string
          enum:
            - Ok
            - Error
        error:
          type: string
          nullable: true
    Quote:
      type: object
      properties:
        solver_id:
          description: A unique identifier for the solver who provided the quote.
          type: string
        estimated_time:
          type: integer
          description: Estimated swap time in seconds.
        source:
          $ref: '#/components/schemas/QuoteAsset'
        destination:
          $ref: '#/components/schemas/QuoteAsset'
        slippage:
          type: integer
          description: Slippage defined for this quote.
          example: 50
        fee:
          type: integer
          description: In BIPS (base index points), where 100 bips = 1%.
          example: 30
        fixed_fee:
          type: string
          description: In USD.
          example: '0.05'
    QuoteAsset:
      type: object
      properties:
        asset:
          $ref: '#/components/schemas/Asset'
        amount:
          type: string
          example: '1000000'
          description: >-
            Raw asset amount in the smallest unit (e.g., satoshis for BTC, wei
            for ETH).
        display:
          type: string
          example: '0.01'
          description: Amount after applying decimal places (e.g., 0.01 BTC).
        value:
          type: string
          example: '100'
          description: Fiat value (in USD) equivalent of the displayed amount.
  securitySchemes:
    garden-app-id:
      type: apiKey
      name: garden-app-id
      in: header
      description: >-
        If you do not yet have an app ID, please follow these
        [steps](/api-reference/setup).

````